Bug 9918 - Packaging updates for 3.12
Summary: Packaging updates for 3.12
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.12
Hardware: All All
: P1 - high major (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 02:59 UTC by Robin Sheat
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9918 - Changelog updates for 3.12 (1.30 KB, patch)
2013-03-25 03:11 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9918 - build script updates, default to building 3.12 (708 bytes, patch)
2013-03-25 03:12 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2013-03-25 02:59:50 UTC
Changelog updates and changing the build file. This should go into master and from there into 3.12.
Comment 1 Robin Sheat 2013-03-25 03:11:57 UTC
Created attachment 16839 [details] [review]
Bug 9918 - Changelog updates for 3.12
Comment 2 Robin Sheat 2013-03-25 03:12:06 UTC
Created attachment 16840 [details] [review]
Bug 9918 - build script updates, default to building 3.12
Comment 3 Jared Camins-Esakov 2013-03-28 02:02:13 UTC
This patch has been pushed to master.
Comment 4 Magnus Enger 2013-04-03 12:29:18 UTC
Not a big problem, but if you run "perl debian/build-git-snapshot -h" it still says:

--version, -v
    the version string for the resulting package. Default is '3.5-1~git'.

That might do with an update, or maybe we could use the $version variable in the help text, to make it future proof?
Comment 5 Robin Sheat 2013-04-03 21:24:59 UTC
Good spotting, though I might leave it until the next time I'm updating build-git-snapshot as it's pretty low priority.
Comment 6 Magnus Enger 2013-04-03 21:43:10 UTC
No rush!
Comment 7 Robin Sheat 2013-04-10 22:29:37 UTC
That has been fixed in bug 10018, thanks for catching it :)